Debian Bug report logs - #488561
liblapack3gf: Results are probably wrong warning

version graph

Package: liblapack3gf; Maintainer for liblapack3gf is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>; Source for liblapack3gf is src:lapack.

Reported by: "Christopher J. Walker" <chrisw@chiark.greenend.org.uk>

Date: Sun, 29 Jun 2008 19:21:01 UTC

Severity: grave

Found in version lapack/3.1.1-0.4

Fixed in version lapack/3.1.1-0.5

Done: Riku Voipio <riku.voipio@iki.fi>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, chrisw@chiark.greenend.org.uk, Camm Maguire <camm@enhanced.com>:
Bug#488561; Package liblapack3gf. Full text and rfc822 format available.

Acknowledgement sent to "Christopher J. Walker" <chrisw@chiark.greenend.org.uk>:
New Bug report received and forwarded. Copy sent to chrisw@chiark.greenend.org.uk, Camm Maguire <camm@enhanced.com>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Christopher J. Walker" <chrisw@chiark.greenend.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: liblapack3gf: Results are probably wrong warning
Date: Sun, 29 Jun 2008 20:17:15 +0100
Package: liblapack3gf
Version: 3.1.1-0.4
Severity: grave
Justification: renders package unusable

The following debconf note appears on installation on an ia64 (itanium) 
system. 

> One or more critical lapack library errors were discovered when this
>  package was built.  As of the time of this writing, all known such
>  errors are due to compiler and/or ld.so errors on the affected
>  architectures.  The lapack libraries in this set of packages then,
>  while practically useless for serious numerical research, are
>  provided here nonetheless to facilitate smooth upgrades of lapack
>  into Debian as a whole.


If we know that the package is buggy and will produce wrong results, 
surely it shouldn't be shipped on that architecture. 

Chris



-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: ia64

Kernel: Linux 2.6.24-1-itanium (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages liblapack3gf depends on:
ii  debconf [debconf-2.0]         1.5.22     Debian configuration management sy
ii  libblas3gf [libblas.so.3gf]   1.2-1.6    Basic Linear Algebra Subroutines 3
ii  libc6.1                       2.7-10     GNU C Library: Shared libraries
ii  libgcc1                       1:4.3.1-2  GCC support library
ii  libgfortran3                  4.3.1-2    Runtime library for GNU Fortran ap
ii  libunwind7                    0.98.5-8   A library to determine the call-ch

liblapack3gf recommends no packages.

-- debconf information:
  liblapack3gf/minor:
  lapack2/ttr:
* liblapack3gf/crit:
  liblapack3gf/sig:




Reply sent to Riku Voipio <riku.voipio@iki.fi>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Christopher J. Walker" <chrisw@chiark.greenend.org.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 488561-close@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 488561-close@bugs.debian.org
Subject: Bug#488561: fixed in lapack 3.1.1-0.5
Date: Thu, 03 Jul 2008 16:17:24 +0000
Source: lapack
Source-Version: 3.1.1-0.5

We believe that the bug you reported is fixed in the latest version of
lapack, which is due to be installed in the Debian FTP archive:

lapack_3.1.1-0.5.diff.gz
  to pool/main/l/lapack/lapack_3.1.1-0.5.diff.gz
lapack_3.1.1-0.5.dsc
  to pool/main/l/lapack/lapack_3.1.1-0.5.dsc
liblapack-dev_3.1.1-0.5_i386.deb
  to pool/main/l/lapack/liblapack-dev_3.1.1-0.5_i386.deb
liblapack-doc_3.1.1-0.5_all.deb
  to pool/main/l/lapack/liblapack-doc_3.1.1-0.5_all.deb
liblapack-pic_3.1.1-0.5_i386.deb
  to pool/main/l/lapack/liblapack-pic_3.1.1-0.5_i386.deb
liblapack-test_3.1.1-0.5_i386.deb
  to pool/main/l/lapack/liblapack-test_3.1.1-0.5_i386.deb
liblapack3gf_3.1.1-0.5_i386.deb
  to pool/main/l/lapack/liblapack3gf_3.1.1-0.5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 488561@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Riku Voipio <riku.voipio@iki.fi> (supplier of updated lapack package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 03 Jul 2008 17:30:54 +0300
Source: lapack
Binary: liblapack3gf liblapack-dev liblapack-pic liblapack-test liblapack-doc
Architecture: source all i386
Version: 3.1.1-0.5
Distribution: unstable
Urgency: low
Maintainer: Camm Maguire <camm@enhanced.com>
Changed-By: Riku Voipio <riku.voipio@iki.fi>
Description: 
 liblapack-dev - library of linear algebra routines 3 - static version
 liblapack-doc - library of linear algebra routines 3 - documentation
 liblapack-pic - library of linear algebra routines 3 - static PIC version
 liblapack-test - library of linear algebra routines 3 - testing programs
 liblapack3gf - library of linear algebra routines 3 - shared version
Closes: 488561
Changes: 
 lapack (3.1.1-0.5) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Import changes from ubuntu:
   * Use system default gcc/gfortran instead of explict gcc-4.3
   * Don't show confusing and obscure debconf messages about lapack build
     errors on liblapack install; these errors have not been linked to
     actual bugs in the library, and the current failures look like a
     testsuite error only. Closes: 488561
Checksums-Sha1: 
 73a2236769dfb0b1687b3d5ed43ca2b9bed4f721 1031 lapack_3.1.1-0.5.dsc
 242b13c18b84150ba15fee23748a2379c161f328 248588 lapack_3.1.1-0.5.diff.gz
 f784a929e9483504fb9199e3dc4c485ecc0ca381 1472220 liblapack-doc_3.1.1-0.5_all.deb
 88178df960fc7edb4ab7725e9465ff16da6ac536 2880036 liblapack3gf_3.1.1-0.5_i386.deb
 564cbddb1536a2220fe0ccdd551f9b9cee033b3f 3001484 liblapack-dev_3.1.1-0.5_i386.deb
 5003b0c8a52da233a0004e57d9d3bc9d1b571859 3159366 liblapack-pic_3.1.1-0.5_i386.deb
 b98cf4fb572ca58c52aaca0f7e2113e717a53224 9423200 liblapack-test_3.1.1-0.5_i386.deb
Checksums-Sha256: 
 48957d58e9e560aff11308749c5ca1bf28871dbca699807579ce28aaad531f98 1031 lapack_3.1.1-0.5.dsc
 1ce2b7d444cb4baed6b7d2dc10bebc54b32fe348b93e9136c22851e098f817a9 248588 lapack_3.1.1-0.5.diff.gz
 08f74f2c6e0773c4818a880e95aa4f237b380d5481c9fbd979ee7e86288ca0ec 1472220 liblapack-doc_3.1.1-0.5_all.deb
 a4385704b73dc2b0380e71e872796463e5b7b2808c515ef3eac11042d42cb9eb 2880036 liblapack3gf_3.1.1-0.5_i386.deb
 c01a5d72af1d416739ad93b5e291afcb2cb0b52ced150f224c482b1f2a45cc8f 3001484 liblapack-dev_3.1.1-0.5_i386.deb
 80fd7efd34e58be3fa69c8e7981b0c72c16f8d839396b157fddda50e0b931d8d 3159366 liblapack-pic_3.1.1-0.5_i386.deb
 f394651358f3e57c761601a0df53c13a4d38b46f2e8af4d1342452eca6861c6d 9423200 liblapack-test_3.1.1-0.5_i386.deb
Files: 
 52b61d890537cc8bc944c55c256dc7f6 1031 libs optional lapack_3.1.1-0.5.dsc
 fd5470378f8403cc5631f6e2f0e8bd7c 248588 libs optional lapack_3.1.1-0.5.diff.gz
 228c683b21f34281bb845fb308c8a7ba 1472220 doc optional liblapack-doc_3.1.1-0.5_all.deb
 792355d98a0213f07d808cd5902a5bd9 2880036 libs optional liblapack3gf_3.1.1-0.5_i386.deb
 bf5746536704bd9c52a9e9c9bad74dcd 3001484 libdevel optional liblapack-dev_3.1.1-0.5_i386.deb
 6c25c01e4fbb69a2186cb4ba1ab94481 3159366 libdevel optional liblapack-pic_3.1.1-0.5_i386.deb
 fad678c884c1691a14db57b4c7fc948f 9423200 libdevel optional liblapack-test_3.1.1-0.5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIbPmdibPvMsrqrwMRAqRaAJ9DqBZJZJ73Xam6R/RiunC+lYUIWACgqTE+
lGZp+5vlAH1gmNmvu7swd3A=
=7Ovg
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Camm Maguire <camm@enhanced.com>:
Bug#488561; Package liblapack3gf. Full text and rfc822 format available.

Acknowledgement sent to Chris Walker <chrisw@chiark.greenend.org.uk>:
Extra info received and forwarded to list. Copy sent to Camm Maguire <camm@enhanced.com>. Full text and rfc822 format available.

Message #15 received at 488561@bugs.debian.org (full text, mbox):

From: Chris Walker <chrisw@chiark.greenend.org.uk>
To: Riku Voipio <riku.voipio@iki.fi>
Cc: 488561@bugs.debian.org
Subject: Re: Bug#488561 closed by Riku Voipio <riku.voipio@iki.fi> (Bug#488561: fixed in lapack 3.1.1-0.5)
Date: Sat, 5 Jul 2008 15:02:16 +0100
On Thu, Jul 03, 2008 at 04:21:12PM +0000, Debian Bug Tracking System wrote:
> 
> 
> -----BEGIN PGP SIGNED MESSAGE-----
>  .
>    * Non-maintainer upload.
>    * Import changes from ubuntu:
>    * Use system default gcc/gfortran instead of explict gcc-4.3
>    * Don't show confusing and obscure debconf messages about lapack build
>      errors on liblapack install; these errors have not been linked to
>      actual bugs in the library, and the current failures look like a
>      testsuite error only. Closes: 488561

Riku, 

     This closure mail concerns me - in fact it sounds like the
solution is worse than the original bug. You claim that testsuite
failures are not bugs in the library - which is perfectly possible -
but it isn't clear to me that this implies that I would still get the
correct answer.

Would it be possible to point me at the discussion from upstream
saying that testsuite errors won't result in incorrect answers.

Chris










Information forwarded to debian-bugs-dist@lists.debian.org, Camm Maguire <camm@enhanced.com>:
Bug#488561; Package liblapack3gf. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Camm Maguire <camm@enhanced.com>. Full text and rfc822 format available.

Message #20 received at 488561@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Chris Walker <chrisw@chiark.greenend.org.uk>
Cc: 488561@bugs.debian.org
Subject: Re: Bug#488561 closed by Riku Voipio <riku.voipio@iki.fi> (Bug#488561: fixed in lapack 3.1.1-0.5)
Date: Sun, 6 Jul 2008 16:33:55 +0300
[Message part 1 (text/plain, inline)]
On Sat, Jul 05, 2008 at 03:02:16PM +0100, Chris Walker wrote:
>      This closure mail concerns me - in fact it sounds like the
> solution is worse than the original bug. You claim that testsuite
> failures are not bugs in the library - which is perfectly possible -
> but it isn't clear to me that this implies that I would still get the
> correct answer.

I don't like it either, but given the state that:

1) users have not seen any real problems on applications depending on lapack
   (apart from the alarming debconf notice[1])
2) the maintainer is effectively inactive nowadays
3) the porters of architectures affected don't see it as a important
problem
4) ubuntu has been happy to apply the same change earlier
5) and finally, removing lapack from the affected architectures is not
a option due the long list of depending applications, which users
seem happy using..

So, unless someone takes a more active stance at maintaining lapack
on ports (you?), this is the state where lapack will have to stand.

Riku

[1] these warning banners have been shown on various architectures
since 2002.




-- 
"rm -rf" only sounds scary if you don't have backups
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 12 Aug 2008 07:30:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:45:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.